Purchasing Rfqs
The purchasing rfqs resource.
Basehttps://rest.carbon.ms/purchasingRfqs
GET
/purchasingRfqsList purchasing rfqss
Retrieve a paginated list of purchasing rfqss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/purchasingRfqs
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfqs?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"employeeId": "xyz789",
"rfqDate": "2026-01-01",
"expirationDate": "2026-01-01",
"internalNotes": "string"
}
]GET
/purchasingRfqsRetrieve a purchasing rfqs
Fetch a single purchasing rfqs by filtering on `id`.
Query parameters
idstringMatch on the purchasing rfqs's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/purchasingRfqs
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfqs?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"employeeId": "xyz789",
"rfqDate": "2026-01-01",
"expirationDate": "2026-01-01",
"internalNotes": "string"
}